import 'dart:async';
import 'dart:convert';

import 'dart:io';

import 'common/environment.dart';
import 'network/network_client.dart';

class BlusaltSDK {
  static String baseUrl = "";
  static Environment environment = Environment.test;
  static final BlusaltSDK _instance = BlusaltSDK._internal();
  static late ApiCredentials apiCredentials;

  factory BlusaltSDK({required ApiCredentials credentials}) {
    apiCredentials = credentials;
    return _instance;
  }

  static void initializeSDK(ApiCredentials credentials, { Environment env = Environment.test}) {
    BlusaltSDK(credentials: credentials);
    environment = env;

    baseUrl =_getBaseUrl(environment);
  }

  BlusaltSDK._internal() {}

  static String _getBaseUrl(Environment environment){
    switch(environment){
      case Environment.prod:
        return "https://api.blusalt.net/v2/";
      case Environment.test:
        return "https://staging-api.blusalt.net/v2/";
      default:
        return "https://staging-api.blusalt.net/v2/";
    }
  }

}
