import 'dart:ffi';

import 'package:json_annotation/json_annotation.dart';
part 'ai_response.g.dart';

/// Data class for BVN Verification Response
@JsonSerializable(explicitToJson: true)
class FacialVerificationResponse {
  @JsonKey(name: 'status_code')
  int statusCode;
  @JsonKey(name: 'status')
  String status;
  @JsonKey(name: 'message')
  String message;
  @JsonKey(name: 'results')
  Results? results;

  FacialVerificationResponse(this.statusCode, this.status, this.message, this.results);

  factory FacialVerificationResponse.fromJson(Map<String, dynamic> json) =>
      _$FacialVerificationResponseFromJson(json);
  Map<String, dynamic> toJson() => _$FacialVerificationResponseToJson(this);
}

/// Data class for BVN Verification Response Results
@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Results {
  String imageUrl1;
  String imageUrl2;
  String nameOnCard;
  double probabilityOfResemblance;
  double lowErrorRate;
  double mediumErrorRate;
  double highErrorRate;


  Results({required this.imageUrl1, required this.imageUrl2, required this.nameOnCard,
      required this.probabilityOfResemblance, required this.lowErrorRate, required this.mediumErrorRate,
  required this.highErrorRate});
  factory Results.fromJson(Map<String, dynamic> json) =>
      _$ResultsFromJson(json);

  Map<String, dynamic> toJson() => _$ResultsToJson(this);

}

// class _FloatTypeConverter implements JsonConverter<Float, String> {
//   const _FloatTypeConverter();
//
//   @override
//   DateTime fromJson(String json) => double.parse(json);
//
//   @override
//   int toJson(DateTime object) => object.millisecondsSinceEpoch;
// }
